Skip to content

Reclassify allows you to change the document type of an existing binder. A document "type" is the combination of the type__v, subtype__v, and classification__v fields on a binder. When you reclassify, Vault may add or remove certain fields on the binder. You can only reclassify the latest version of a binder and only one binder at a time. The API does not currently support Bulk Reclassify.

Learn more about:

  • You can only reclassify the latest version of a specified binder.
  • You can only reclassify one binder at a time. Bulk reclassify is not currently supported.
PUT/api/{version}/objects/binders/{binder_id}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value.
NameDescription
reclassifySet to true. Without this, a standard binder update action is performed.
type__vThe name of the document type being assigned to the binder.
subtype__vThe name of the document subtype (if one exists on the type).
classification__vThe name of the document classification (if one exists on the subtype).
lifecycle__vThe name of the lifecycle.

You can also add or remove values for any other editable field.

Note that additional fields may be required depending on the document type, subtype, and classification being assigned to the binder.

Use the Document Metadata API to retrieve required and editable fields in your Vault.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "reclassify=true" \ -d "type__v=Claim" \ -d "lifecycle__v=Binder Lifecycle" \ https://myvault.veevavault.com/api/v17.2/objects/binders/776
{ "responseStatus": "SUCCESS", "id": 776 }